* {
    font-family: "IRANSans", Helvetica Neue, Helvetica, Arial, sans-serif;
}

.no-margin {
    margin: 0 !important;
}

.no-padding {
    padding: 0 !important;
}

.width-10 {
    width: 10px;
}

.width-20 {
    width: 20px;
}

.width-50 {
    width: 50px;
}

.width-90 {
    width: 90px;
}

.width-100 {
    width: 100px;
}

.width-120 {
    width: 120px;
}

.width-140 {
    width: 140px;
}

.width-240 {
    width: 240px;
}

.width-260 {
    width: 260px;
}

.width-280 {
    width: 280px;
}

.width-300 {
    width: 300px;
}

.width-320 {
    width: 320px;
}

.smaller-50 {
    font-size: 50% !important;
}

.smaller-60 {
    font-size: 60% !important;;
}

.smaller-70 {
    font-size: 70% !important;;
}

.smaller-80 {
    font-size: 80% !important;;
}

.smaller-90 {
    font-size: 90% !important;;
}

.bigger-110 {
    font-size: 110%;
}

.bigger-120 {
    font-size: 120%;
}

.bigger-130 {
    font-size: 130%;
}

.bigger-140 {
    font-size: 140%;
}

.margin-top-10 {
    margin-top: 5px;
}

.margin-top-10 {
    margin-top: 10px;
}

.margin-top-15 {
    margin-top: 15px;
}

.margin-top-20 {
    margin-top: 20px;
}

.margin-top-25 {
    margin-top: 25px;
}

.margin-top-30 {
    margin-top: 30px;
}

.margin-top-35 {
    margin-top: 35px;
}

.margin-top-40 {
    margin-top: 4px;
}

.margin-top-45 {
    margin-top: 45px;
}

.margin-top-50 {
    margin-top: 50px;
}

.hr {
    display: block;
    height: 0;
    overflow: hidden;
    font-size: 0;
    border-width: 1px 0 0 0;
    border-top: 1px solid #E3E3E3;
    margin: 12px 0;
    border-top-color: rgba(0, 0, 0, 0.11);
}

.hr-double {
    height: 3px;
    border-top: 1px solid #E3E3E3;
    border-bottom: 1px solid #E3E3E3;
    border-top-color: rgba(0, 0, 0, 0.11);
    border-bottom-color: rgba(0, 0, 0, 0.11);
}

.hr.dotted,
.hr-dotted {
    border-style: dotted;
}

.hr-32,
.hr32 {
    margin: 32px 0;
}

.hr-30,
.hr30 {
    margin: 30px 0;
}

.hr-28,
.hr28 {
    margin: 28px 0;
}

.hr-26,
.hr26 {
    margin: 26px 0;
}

.hr-24,
.hr24 {
    margin: 24px 0;
}

.hr-22,
.hr22 {
    margin: 22px 0;
}

.hr-20,
.hr20 {
    margin: 20px 0;
}

.hr-18,
.hr18 {
    margin: 18px 0;
}

.hr-16,
.hr16 {
    margin: 16px 0;
}

.hr-14,
.hr14 {
    margin: 14px 0;
}

.hr-12,
.hr12 {
    margin: 12px 0;
}

.hr-10,
.hr10 {
    margin: 10px 0;
}

.hr-8,
.hr8 {
    margin: 8px 0;
}

.hr-6,
.hr6 {
    margin: 6px 0;
}

.hr-4,
.hr4 {
    margin: 4px 0;
}

.hr-2,
.hr2 {
    margin: 2px 0;
}

.space {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
}

[class*="vspace-"] {
    display: none;
}

.space-32 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 32px 0 31px;
}

[class*="vspace-32"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 32px 0 31px 0;
}

.space-30 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 30px 0 29px;
}

[class*="vspace-30"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 30px 0 29px 0;
}

.space-28 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 28px 0 27px;
}

[class*="vspace-28"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 28px 0 27px 0;
}

.space-26 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 26px 0 25px;
}

[class*="vspace-26"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 26px 0 25px 0;
}

.space-24 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 24px 0 23px;
}

[class*="vspace-24"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 24px 0 23px 0;
}

.space-22 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 22px 0 21px;
}

[class*="vspace-22"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 22px 0 21px 0;
}

.space-20 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 20px 0 19px;
}

[class*="vspace-20"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 20px 0 19px 0;
}

.space-18 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 18px 0 17px;
}

[class*="vspace-18"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 18px 0 17px 0;
}

.space-16 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 16px 0 15px;
}

[class*="vspace-16"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 16px 0 15px 0;
}

.space-14 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 14px 0 13px;
}

[class*="vspace-14"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 14px 0 13px 0;
}

.space-12 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 12px 0 11px;
}

[class*="vspace-12"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 12px 0 11px 0;
}

.space-10 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 10px 0 9px;
}

[class*="vspace-10"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 10px 0 9px 0;
}

.space-8 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 8px 0 7px;
}

[class*="vspace-8"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 8px 0 7px 0;
}

.space-6 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 6px 0 5px;
}

[class*="vspace-6"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 6px 0 5px 0;
}

.space-4 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 4px 0 3px;
}

[class*="vspace-4"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 4px 0 3px 0;
}

.space-2 {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 2px 0 1px;
}

[class*="vspace-2"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 2px 0 1px 0;
}

.space-0,
[class*="vspace-0"] {
    max-height: 1px;
    min-height: 1px;
    overflow: hidden;
    margin: 12px 0;
    margin: 0;
}

.error_msg {
    color: red;
}

.input_with_validation_error {
    border: 1px solid red;
}

/* Center the loader */
.loader {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    /* width: 150px;
     height: 150px;*/
    margin: -75px 0 0 -75px;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.jsPanel {
    z-index: 2000;
}

.jsPanel-titlebar h3 {
    margin-right: 25px;
    font-family: "IRANSans", tahoma;
}

.sweet-overlay {
    z-index: 2000;
}

.sweet-alert {
    z-index: 2001 !important;
}

.rtl {
    direction: rtl !important;
}

.ltr {
    direction: ltr !important;
}

.clearfixed {
    clear: both !important;
}

.total_loader {
    background-color: rgba(50, 50, 50, 0.7);
    color: #d9d9d9;
    font-weight: bolder;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 50000;
}

.total_loader .total_loader_content {
    position: absolute;
    height: 140px;
    width: 100%;
    top: 50%;
    margin-top: -70px;
}

.total_loader .spinner_area {
    width: 50px;
    margin: 10px auto;
}

.total_loader .text_area {
    background-color: rgba(255, 255, 255, 0.8);
    color: #464646;
    text-align: center;
    padding: 10px 0;
}

/*______________________spinner_rects________________________*/

.spinner_rects {
    /*margin: 100px auto;*/
    width: 50px;
    height: 40px;
    text-align: center;
    font-size: 10px;
}

.spinner_rects > div {
    background-color: #d9d9d9;
    height: 100%;
    width: 6px;
    display: inline-block;

    -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
    animation: sk-stretchdelay 1.2s infinite ease-in-out;
}

.spinner_rects .rect2 {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}

.spinner_rects .rect3 {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}

.spinner_rects .rect4 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.spinner_rects .rect5 {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}

@-webkit-keyframes sk-stretchdelay {
    0%, 40%, 100% {
        -webkit-transform: scaleY(0.4)
    }
    20% {
        -webkit-transform: scaleY(1.0)
    }
}

@keyframes sk-stretchdelay {
    0%, 40%, 100% {
        transform: scaleY(0.4);
        -webkit-transform: scaleY(0.4);
    }
    20% {
        transform: scaleY(1.0);
        -webkit-transform: scaleY(1.0);
    }
}

/*______________________*******________________________*/

.panel-green {
    border: 1px solid #5CB85C;
    background-color: #5CB85C;
}

.panel-primary {
    border: 1px solid #2196F3;
}

textarea {
    overflow-x: hidden;
}

.password_strength_message {
    color: #888;
    font-size: 10px;
    background: #eee;
    margin-top: 2px;
    font-weight: bolder;
    padding: 4px;
    width: 100px;
    text-align: center;
    display: none;;
}

.text-right {
    text-align: right !important;
}

.text-left {
    text-align: left !important;
}

.inner_tab {
    padding: 30px 10px;
}

.prl-0 {
    padding-right: 0px;
    padding-left: 0px;
}

.ml-5 {
    margin-left: 5px;
}

.divider {
    position: absolute;
    right: -1px;
    top: 10px;
}

.mt-2 {
    margin-top: 2px;
}

.table_other_lidence td {
    background-color: #eeeeee !important;
    border: 1px solid #dadada !important;
}

.table_other_lidence {

    border: 1px solid #eeeeee !important;
    font-size: 12px;
}

.red {
    color: red;
}

.pointer {
    cursor: pointer;
}

.redStar {
    color: red;
    font-size: 14px;
}

.mt-35 {
    margin-top: 35px;
}

.div_part span {
    color: #0a9ff4;
}

.div_part hr {
    border-top: 1px solid #3df5ff;
}

.text-center {
    text-align: center !important;
}

.width-60 {
    width: 60%;
}

.alert {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
}

.alert-warning {
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc;
}

.links_font_color a {
    color: white;
}

.closeTab:hover {
    color: red;
}

#modal_add_shortcode {
    position: absolute;
    top: 150px;
    right: 100px;
    bottom: 0;
    left: 0;
    z-index: 10040;
    overflow: auto;
}

.modal_loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: modal_spin 2s linear infinite;
}

@keyframes modal_spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.no_checkbox > i.jstree-checkbox {
    display:none;
}

.border-top-success {
    border-top-color: #4CAF50;
}

.clickable{
    cursor: pointer;
}

.attachment_panel_heading span {
    margin-top: -20px;
    font-size: 15px;
}

.number_with_separator
{
    direction: rtl;
    text-align: left;
}

.krajee-default.file-preview-frame{
    float: right !important;
}

.kv-fileinput-error.file-error-message ul li{
    text-align: right !important;
}
.select2-container--open{
    z-index: 2000;
}
.pac-container
{
    z-index: 10000;
}


/*__________________________________message_box_all_type_style______________________________*/
.message_info {
    background-color: #d9eff7;
    border-right: 4px solid #4ea8cf;
    color: #406ca6;
    font-weight: bold;
    padding: 1%;
}
.message_info .close_message_btn {
    background-color: #deeff7;
    padding: 2px 4px;
    border-radius: 0;
    border: 1px solid #2ba6cf;
    color: #0f6ea6;
    position: absolute;
    top: 66px;
    left: 27px;
}

.message_success {
    background-color: #d7f7d5;
    border-right: 4px solid #5fcf20;
    color: #27a666;
    font-weight: bold;
    padding: 1%;
}
.message_success .close_message_btn {
    background-color: #d7f7d5;
    padding: 2px 4px;
    border-radius: 0;
    border: 1px solid #5fcf20;
    color: #27a666;
    position: absolute;
    top: 66px;
    left: 27px;
}


.message_warning {
    background-color: #f7f3aa;
    border-right: 4px solid #ebdb61;
    color: #a68a09;
    font-weight: bold;
    padding: 1%;
}
.message_warning .close_message_btn {
    background-color: #f7f3aa;
    padding: 2px 4px;
    border-radius: 0;
    border: 1px solid #ebdb61;
    color: #a68a09;
    position: absolute;
    top: 66px;
    left: 27px;
}

.message_error {
    background-color: #f7d9e0;
    border-right: 4px solid #cf1d49;
    color: #a61a39;
    font-weight: bold;
    padding: 1%;
}
.message_error .close_message_btn {
    background-color: #f7d9e0;
    padding: 2px 4px;
    border-radius: 0;
    border: 1px solid #cf1d49;
    color: #a61a39;
    position: absolute;
    top: 66px;
    left: 27px;
}
